Package twisted :: Package web :: Module microdom :: Class Node

[show private | hide private]
[frames | no frames]

## Class Node

Known Subclasses:
  `CharacterData`, `Element`, `EntityReference`, `Document`

Method Summary
| `__init__(self, parentNode)`
| `appendChild(self, child)`
| `cloneNode(self, deep, parent)`
| `firstChild(self)`
| `hasChildNodes(self)`
| `insertBefore(self, new, ref)`
| `lastChild(self)`
| `removeChild(self, child)`
| `replaceChild(self, newChild, oldChild)`
| `toprettyxml(self, indent, addindent, newl, strip)`
| `toxml(self, indent, addindent, newl, strip)`
| `writexml(self, stream, indent, addindent, newl, strip)`

Class Variable Summary
`string` | `nodeName`

Class Variable Details

### nodeName

  Type:
    `string`
  Value:

        'Node'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:28 2003 | http://epydoc.sf.net